> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/jp/idoyobiakusesuiam/apidokyumento-scim/jian-chu-api/sbisupurobaid.md).

# サービスプロバイダー設定

### 概要

この `/ServiceProviderConfig` エンドポイントは、SCIMサービスのサポートされている機能に関するメタデータを提供します。

Okta や Microsoft Azure Active Directory などの ID プロバイダーは、このエンドポイントを使用して次を判定します:

* サポートされる操作（例: PATCH）
* フィルタリング機能
* 認証方法
* バルク操作のサポート

***

### エンドポイント

```bash
GET /ServiceProviderConfig
```

***

### 完全なURL

```bash
https://api.ggwp.com/scim/v2/ServiceProviderConfig
```

***

### 認証

Bearerトークンが必要です:

```http
Authorization: Bearer <access_token>
```

***

### レスポンス

### 成功（200 OK）

```json
{
  "data": {
    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"],
    "patch": {
      "supported": true
    },
    "bulk": {
      "supported": false,
      "maxOperations": 0,
      "maxPayloadSize": 0
    },
    "filter": {
      "supported": false,
      "maxResults": 0
    },
    "changePassword": {
      "supported": false
    },
    "sort": {
      "supported": false
    },
    "etag": {
      "supported": false
    },
    "authenticationSchemes": [
      {
        "type": "oauthbearertoken",
        "name": "Bearer Token",
        "description": "静的ベアラートークン認証。トークンは GGWP により提供されます。",
        "specUri": "https://www.rfc-editor.org/rfc/rfc6750",
        "primary": true
      }
    ]
  },
  "message": "成功"
}
```

***

### レスポンスフィールドの説明

#### schemas

* このレスポンスの SCIM スキーマ識別子

***

#### パッチ

```json
"patch": { "supported": true }
```

* PATCH 操作がサポートされていることを示します
* ほとんどの IdP との互換性のために必要です

***

### バルク

```json
"bulk": { "supported": false }
```

* バルク操作はサポートされていません

***

### フィルタ

```json
"filter": {
    "supported": false,
    "maxResults": 0
}
```

* フィルタリングはサポートされていません
* `maxResults` リクエストごとの最大結果数を定義します

***

### changePassword

```json
"changePassword": { "supported": false }
```

* SCIM 経由のパスワード変更はサポートされていません

***

### ソート

```json
"sort": { "supported": false }
```

* ソートはサポートされていません

***

### etag

```json
"etag": { "supported": false }
```

* ETag ベースのバージョン管理はサポートされていません
